
Foreman - Bug #37132

Alphabetical sorting in test broken

02/01/2024 06:06 AM - dosas please_edit_me

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.10.0, 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10032,

https://github.com/theforeman/foreman/p

ull/10103

  

Description

I have been running this test https://github.com/theforeman/foreman/blob/develop/test/integration/operatingsystem_js_test.rb#L9 on

forklift and on a docker container with foreman 3.9.1

The tests adds an operating system and expects that it is added as first entry in the list/table since alphanumerical sort is expected.

This works fine when I run it on forklift. But for the docker case I

get a different sorting:

Huawei_VRP 5.17 0 Edit

NoHosts 1.1 0 Edit

OpenSuse 12.3 0 Edit

RHEL 6.1 0 Edit

Solaris 5.10 (hw0910) 0 Edit

Ubuntu 10.10 0 Edit

Ubuntu 12.10 0 Edit

aaa 50 0 Edit

centos 5.3 0 Edit

When I change aaa to AAA the test run on docker and the one on forklift both succeeds :D

But the sorting in forklift is weird (capital, lowercase, capital ):

AAA 1 0 Edit

centos 5.3 0 Edit

Huawei_VRP 5.17 0 Edit

NoHosts 1.1 0 Edit

OpenSuse 12.3 0 Edit

RHEL 6.1 0 Edit

Solaris 5.10 (hw0910) 0 Edit

Ubuntu 10.10 0 Edit

Ubuntu 12.10 0 Edit

Proposal for fix: Do not rely on sorting in test but find element by name.

Associated revisions

Revision e402ea51 - 03/12/2024 12:46 PM - dosas please_edit_me

Fixes #37132 - Fix sorting problem in os integration test

History

#1 - 02/01/2024 07:14 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10032 added
https://github.com/theforeman/foreman/blob/develop/test/integration/operatingsystem_js_test.rb#L9


#2 - 03/12/2024 12:46 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 03/12/2024 01:00 PM - dosas please_edit_me

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|e402ea51d0a3059e41f6d3a23b77a1286d6fba43.

#4 - 03/19/2024 02:18 PM - The Foreman Bot

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/10103 added

#5 - 03/20/2024 06:03 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added
